--***********************************************
--VISTA DATOS PERSONALES DEL AVAL
--VM_C_PERSONALES_AVAL_PF
--***********************************************

SELECT
CON.FOLIO_UNICO,
--DATOS PERSONALES AVAL
AV.ID AVAL_ID,
SBAVAL.NOMBRE,
SBAVAL.APELLIDO_PATERNO,
SBAVAL.APELLIDO_MATERNO,
SBAVAL.RFC,
SBAVAL.CURP,
SBAVAL.FECHA_NACIMIENTO,
SEXAVAL.NOMBRE SEXO,
NAC.NOMBRE NACIONALIDAD,
MAIL.EMAIL,
ESCAVAL.NOMBRE ESCOLARIDAD,
ECAVAL.NOMBRE ESTADO_CIVIL,
RMAVAL.NOMBRE REGIMEN_MATRIMONIAL,
ATF.DEPENDIENTES_ECONOMICOS,
'NO EXISTE' PARENTESCO

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS_AVALES AFA ON (AFA.APLICANTE_FISICO_ID = ATF.ID)
LEFT OUTER JOIN SMAFB.SGAVALES AV ON (AV.ID = AFA.AVAL_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS SAVAL ON (SAVAL.ID = AV.SUJETO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOBASES SBAVAL ON (SBAVAL.ID = SAVAL.SUJETOBASE_ID)
LEFT OUTER JOIN SMAFB.SGSEXOS SEXAVAL ON (SEXAVAL.IDINT = SAVAL.SEXO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS_EMAILS SMAIL ON (SMAIL.SUJETO_ID = SAVAL.ID)
LEFT OUTER JOIN SMAFB.SGEMAILS MAIL ON (MAIL.ID = SMAIL.EMAIL_ID)
LEFT OUTER JOIN SMAFB.SGESTADO_CIVIL_REG_MATS ECRMAVAL ON (ECRMAVAL.ID = SAVAL.EST_CIV_REG_MAT_ID)
LEFT OUTER JOIN SMAFB.SGESTADOS_CIVILES ECAVAL ON (ECAVAL.ID = ECRMAVAL.ESTADO_CIVIL_ID)
LEFT OUTER JOIN SMAFB.SGREGIMENES_MATRIMONIALES RMAVAL ON (RMAVAL.IDINT = ECRMAVAL.REGIMEN_MATRIMONIAL_ID)
LEFT OUTER JOIN SMAFB.SGESCOLARIDADES ESCAVAL ON (ESCAVAL.IDINT = ATF.ESCOLARIDAD_ID)
LEFT OUTER JOIN SMAFB.SGNACIONALIDADES NAC ON (NAC.IDINT = AV.NACIONALIDAD_ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;